A message from our CEO about the future of Stack Overflow and Stack Exchange. Read now.

Questions tagged [eclipse]

Multi-language IDE with plug-in system

Filter by
Sorted by
Tagged with
0
votes
1answer
31 views

Permission denied: how to find the cause

I downloaded http://eclipse.baeyens.it/stable.php?OS=Linux to /mnt/data. This is a partition of my SSD that I use to install development tools. It's mounted by fstab: # <file system> ...
1
vote
0answers
30 views

Eclipse not opening in Ubuntu 19.10

When i tried to run Eclipse Helios or luna-R it is not launching and gives error on Terminal : I used following method to install eclipse : https://www.ntu.edu.sg/home/ehchua/programming/howto/...
2
votes
2answers
8k views

eclipse: class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0

Since the update yesterday (yes, the linux update), eclipse denies me to run even the most simple helloworld: has been compiled by a more recent version of the Java Runtime (class file version 53.0), ...
1
vote
3answers
3k views

Eclipse is not working in Ubuntu 16.10

I updated from Ubuntu 16.04 to 16.10. Eclipse used to work fine in Ubuntu 16.04 but now it is not. The Eclipse for Java (Neon) asks the workspace and after clicking OK the error appears: An error has ...
7
votes
3answers
5k views

Eclipse doesn't start

I newly installed eclipse form official Ubuntu repositories (sudo apt install eclipse). When I run it from launcher or terminal it doesn't start and show this error massage An error has occurred. ...
1
vote
2answers
13k views

Eclipse not launching

I have installed Ubuntu 14.04, I have installed Eclipse using Ubuntu Software Center. But Eclipse is not opening, when I click it is not opening or showing any error message it is very silent. Output ...
0
votes
0answers
10 views

Eclipse 2018-09 JEE startup error

Eclipse JEE , 2018-09 release on Ubuntu Bionic beaver does not work.The marketplace GUI is not rendered.It crashes on exit.JRE is Oracle jre 8 . Pls help. thanks in advance. The logs show these ...
5
votes
1answer
2k views

How can I create a shortcut for the start menu to launch an application?

Some apps I've installed, like Eclipse IDE, can be launched from an icon on the desktop, but I would like to have it available in the start menu. I should be able to go to the start menu and click on ...
201
votes
18answers
498k views

How to install Eclipse?

I want to install the latest version of Eclipse but the Ubuntu Software Centre contains an older version. Is there a PPA or some other way to install latest Eclipse? Please describe the steps for ...
1
vote
2answers
22k views

Problem with Eclipse: “An Error has occurred. See the log file …”

I have Ubuntu 13.04 and when I want run Vega program by ./Vega I get this message An error has occurred. See the log file /home/engalaabt/.eclipse/1150212041/configuration/1371636662714.log. so ...
1
vote
2answers
1k views

Tomcat installation directory for Eclipse

I have installed tomcat8 using apt-get and it was installed properly. I have to integrate tomcat with eclipse but when I provide installation directory as /usr/share/tomcat8, it says config file is ...
3
votes
2answers
4k views

How to install Eclipse C/C++ in Ubuntu 18.04

To clean install Eclipse for C/C++ on Ubuntu 18.04 I tried sudo apt install eclipse eclipse-cdt. It's showing an error, see the log file.... log file..... !SESSION Fri Aug 16 14:39:20 IST 2019 -------...
17
votes
2answers
12k views

How to add Eclipse to Favorites?

I installed the latest version of Eclipse onto Ubuntu 18.04 with the official installer from the Eclipse website, however I can't get it to appear on my favorites bar/dock. I have tried dragging the ...
0
votes
0answers
291 views

fatal error: asm/linkage.h: No such file or directory, C/C++ problem

I am trying to compile code that I downloaded from this GitHub repository on Eclipse CDT 3.8.1 and using Ubuntu 16.04 and kernel version 4.13.0-041300-lowlatency (because this project works on Xenomai ...
3
votes
1answer
126 views

How do I set up Codename One in Eclipse?

I want to use Codename One Java software development tools on Ubuntu with Eclipse. I tried to install Codename One with OpenJDK and Oracle JDK, but it didn't work.
0
votes
0answers
28 views

Selecting eclipse.desktop icon doesn't do anything (visible to me), “Exec format error” from shell

Trying to execute via desktop icon: /usr/bin/eclipse $ ls -l eclipse -rwxrwxrwx 1 geri geri 61176 Sep 16 19:12 eclipse Right-click on desktop → Create launcher... creates: ~/Desktop# ls -l eclipse....
1
vote
1answer
5k views

Specifying JDK in eclipse.ini not being used

I've got multiple JDKs on my system (14.04 LTS), JDK 6, 7, 8 - all Oracle. The JDK 8 is the one picked for update-alternatives. However, the Java project I'm working on requires JDK 7. I've got a ...
0
votes
1answer
92 views

How can I add libsvn-java 1.11 to Ubuntu 18.04

I need libsvn-java 1.11 in Ubuntu 18.04 LTS I am trying to access an SVN repository in Eclipse. I found out how to install libsvn-java and point Eclipse at it. But the error I get is something like a ...
0
votes
1answer
3k views

Install opencv eclipse

I am using ubuntu 13.10 and I am trying to install opencv on eclipse. I am following this tutorial LINK I do not know where is my library. This what I obtain when I try to find the files. ...
0
votes
0answers
18 views

how to configure psdash using python in eclipse in ubuntu?

I have installed python lib in Eclipse and psdash in Ubuntu. How could I configure psdash?
0
votes
1answer
1k views

How to get IP Address in ubuntu when installed using virtual box

I have installed ubuntu 16.04 on my laptop using Virtual box. I have installed eclipse in it. I am doing some remote debugging for which I need to write the ip address of ubuntu in the code. When I ...
1
vote
1answer
3k views

eclipse + pydev autocomplete

Problem:- Autocomplete for python not working in eclipse + pydev. Platform:- OS is Lubuntu; Eclipse Version: 4.2.2; PyDev for Eclipse 2.7.3.2013031601 I have configured the pythonpath in "Window->...
11
votes
4answers
29k views

Tomcat and Eclipse Integration Error: “Unknown version of Tomcat was specified.”

I am using Ubuntu 13.10 and gnome 3.10. I have followed this tutorial to set up tomcat and eclipse.: Set up Eclipse and Tomcat 7 on Ubuntu 12.10 to create Java RESTful Web Services with Jersey ...
17
votes
5answers
24k views

Eclipse doesn't start on Ubuntu 18.04

I installed eclipse via Ubuntu Software. When I start it, it take some seconds and then comes an error window showing the path of the error. The following is the .log file: !SESSION Wed May 02 12:53:...
0
votes
0answers
45 views

Unable to launch Eclipse on Ubuntu 18.04 [duplicate]

I installed with the command: sudo apt-get install eclipse Every time I try to start it up, it fails with the following message: This came from /home/parallels/.eclipse/org.eclipse.platform_3....
0
votes
0answers
32 views

Package 'oracle-java8-installer' has no installation candidate error [duplicate]

I am trying to install Eclipse IDE but while using this command line: sudo apt-get install python-software-properties but I got the following error: Package oracle-java8-installer is not ...
0
votes
2answers
7k views

Tomcat 9 and Eclipse Neon - Unknown version of Tomcat was specified

I'm having problems when trying to add Tomcat as a runtime environment in Eclipse Neon. I have tried multiple solutions I found here on the forums, none of them worked. I have the tomcat folder in /...
0
votes
0answers
42 views

What is process to create a link to application that is shown in Dock (list applications) for Ubuntu 18.04

First I wish to apologize for asking a question that has been done a number of different ways without really explaining what is going on. Second because (this must happen with applications a lot) a ...
0
votes
0answers
78 views

Mercurial Eclipse not working all of a sudden

I'm not exactly sure what happened but my mercurial eclipse plugin stopped working and is kind of getting int the way of me using eclipse all together. I'm seeing this error and was wondering if ...
0
votes
1answer
4k views

Error thrown while loading gnu.io.RXTXCommDriver

I am trying to run a java program which list all available ports using Eclipse IDE in Ubuntu 14.04. My program is as follows: import gnu.io.CommPortIdentifier; import java.util.Enumeration; public ...
1
vote
2answers
3k views

Installing Eclipse Mars on 16.04

So I realized the eclipse version in the repositories is pretty old and I'm trying to upgrade to the current version. Every tutorial I've read basically has you download the installer as a tar.gz ...
1
vote
3answers
3k views

No Java virtual machine was found when trying to run Eclipse installer

Trying to install Eclipse on fresh Ubuntu. Got error: If I type java command I have output: Can I install default OpenJDK or should I go to Oracle site and download Java there? Why I can't use ...
0
votes
0answers
124 views

I want to install eclipse ide on my Ubuntu [duplicate]

I am taking a course in Open Source Programming this semester and have been asked to download any Linux distro, so I chose Ubuntu. I have set up my java environment and now I need to install Eclipse ...
1
vote
1answer
3k views

When I start Eclipse 4.3 I get “Invalid Configuration Location” error

When I first installed Eclipse 4.3 (Kepler) it ran A-Okay. I even did a Java program. When I shut down Eclipse and ran it again later, I got the error message below. Thinking I did something wrong ...
5
votes
2answers
17k views

How to put executable to /usr/bin?

I downloaded eclipse and extracted it to /opt. My question is how can I make it run from terminal as like other programs like javac, java. I did with update-alternatives as follows: sudo update-...
34
votes
8answers
124k views

Ubuntu is not detecting my android device

I am new to android. I have just downloaded and installed android sdk. Now when I run the application from eclipse, my device is not getting detected. I have googled and was brought up with this as ...
0
votes
0answers
31 views

Experienced windows programmer having great trouble with build environment

I'm a (very) experienced Windows programmer, and I'm trying to learn my way around Linux. I have Ubuntu 5.0.0-27-generic installed in a partition that I can dual boot with Win10. I've been trying to ...
6
votes
1answer
2k views

How to make Eclipse installed via snap use a differerent configuration when started from global menu

Files from software installed via snap are read-only. To configure Eclipse, however, we need to change its eclipse.ini file. How to do it so, when pressing the Super key and clicking on Eclipse's logo,...
0
votes
0answers
23 views

Unable to select text after upgrade in some apps (Terminal, Gedit, Eclipse, Subl)

After the upgrade from 16.04 to 18.04, I experienced a strange behaviour when selecting text in some applications, or widgets of these applications. E.g. in gedit If I select text, either selecting ...
0
votes
0answers
86 views

e(fx)clipse - OpenFX SDK can't be added to project

I installed the e(fx)clipse plugin to eclipse via the marketplace. However, when I try to add the 'OpenFX SDK' library to my build path, it does not appear in the package explorer and my 'import ...
0
votes
0answers
23 views

permissions for phing.php on Ubuntu for execution in Eclipse

I installed phing via apt-get on my Ubuntu machine. Then I set up phing as external program in Eclipse but now I am facing a permission problem. Giving phing.php a different owner did not help. I ...
0
votes
1answer
293 views

How do I show what command runs my Eclipse project?

I'm running a Spring Boot App with Eclispe and I'd like to know what command or script Eclipse is using to run it. When it starts it only shows the spring boot output. I'd also like Eclipse to show ...
1
vote
1answer
85 views

Ubuntu 18.04 Hangs while working with Eclipse

So, I am a newbie in Linux and recently switched from Windows 10 to Ubuntu. Now, a few days ago, I was working on Eclipse and suddenly everything froze for about a minute and then I saw this on my ...
0
votes
1answer
7k views

How to install Code Composer Studio on Ubuntu?

I'm trying to install TI's Code Composer Studio on my Ubuntu 13.10 [64-bit]. I've downloaded CCS 5.5.0.00077. Also I've Eclipse 3.8.1 installed. I've followed the instructions here on TI's web site. ...
2
votes
1answer
265 views

Eclipse on Ubuntu Mate

I've just installed Eclipse IDE for Java Developers on Ubuntu Mate. The console is giving me fatal errors: (WebKitWebProcess:19041): GLib-CRITICAL **: 17:07:33.039: g_variant_get_type: assertion '...
0
votes
2answers
863 views

Eclipse looks terrible with Linux Dark Theme

Ok so i am using XUbuntu and I like it because it's simple, looks great and works nicely on my 2gb ram laptop. I also installed recently Arc Dark theme, and every other program, text editors or IDEs ...
1
vote
0answers
195 views

How to install Eclipse for C++ on Ubuntu 18.04 [duplicate]

To clean install Eclipse for C/C++ on Ubuntu 18.04. I tried sudo apt install eclipse eclipse-cdt. It's showing errors; see log file. Among these errors are several java.lang.IllegalStateException ...
0
votes
0answers
14 views

ECLIPSE IDE not able to findout my created library

I am developing a project in ECLIPSE and I have linked all the libraries of ROOT as well as my own created library,but while running - It is showing " cannot find -lrootify [I have created the ...
0
votes
0answers
24 views

GIt / Eclipse - All files are in the project in stagging

I worked in a corporate project, all designed for Windows software. Someday, someone ask if it is possible to work in linux environment and i am trying to build in VirtualBox the project using a ...
2
votes
2answers
1k views

How to change tooltip background color on Eclipse?

I'm using Ubuntu 16.04 and latest Eclipse Neon. When I hover some code, I got my tooltip background black and my text orange. I found it here I must change colors at OS level. Here I saw how to edit ...